sub duplo_ui_ui_ui()
 REM		$Id$
 REM	Copyright (c) Geoworks 1995 -- All Rights Reserved
 REM	FILE:		STDINC.BH

 STRUCT TimeOfDay
  DIM hour as integer
  DIM minute as integer
  DIM second as integer
 END STRUCT

 STRUCT Date
  DIM year as integer
  DIM month as integer
  DIM day as integer
 END STRUCT

 STRUCT Notification
  DIM arg1 as integer
  DIM arg2 as integer
  DIM arg3 as integer
  DIM arg4 as integer
  DIM arg5 as string
  DIM arg6 as complex
 END STRUCT

REM useful color constants
CONST WHITE 		&Hffffffff
CONST BLACK 		&Hff000000
CONST GRAY_50 		&Hff808080, GREY_50 		&Hff808080
CONST DARK_GRAY 	&Hff555555, LIGHT_GRAY		&Hffaaaaaa
CONST DARK_GREY 	&Hff555555, LIGHT_GREY		&Hffaaaaaa
CONST DARK_GREEN	&Hff00aa00, LIGHT_GREEN 	&Hff55ff55
CONST DARK_BLUE 	&Hff0000aa, LIGHT_BLUE		&Hff5555ff
CONST DARK_CYAN		&Hff00aaaa, LIGHT_CYAN		&Hff55ffff
CONST DARK_PURPLE	&Hffaa00aa, LIGHT_PURPLE	&Hffff55ff
CONST DARK_ORANGE	&Hffaa5500, LIGHT_ORANGE	&Hffff5555
CONST YELLOW		&Hffffff55
CONST RED		&Hffaa0000

REM useful Boolean constants
CONST TRUE		1
CONST FALSE		0

REM sound constants
CONST SS_ERROR		0
CONST SS_WARNING	1
CONST SS_NOTIFY		2
CONST SS_NO_INPUT	3
CONST SS_KEY_CLICK	4
CONST SS_ALARM		5

CONST PEN_PRESS 1, PEN_HOLD 2, PEN_DRAG 3, PEN_TO 4, PEN_RELEASE 5
CONST PEN_LOST 6, PEN_FLY_OVER 7

CONST C_SYS_BACKSPACE		&Hff08
CONST C_SYS_TAB			&Hff09
CONST C_SYS_ENTER		&Hff0d
CONST C_SYS_ESCAPE		&Hff1b
CONST C_SYS_F1			&Hff80
CONST C_SYS_F2			&Hff81
CONST C_SYS_F3			&Hff82
CONST C_SYS_F4			&Hff83
CONST C_SYS_F5			&Hff84
CONST C_SYS_F6			&Hff85
CONST C_SYS_F7			&Hff86
CONST C_SYS_F8			&Hff87
CONST C_SYS_F9			&Hff88
CONST C_SYS_F10			&Hff89
CONST C_SYS_F11			&Hff8a
CONST C_SYS_F12			&Hff8b
CONST C_SYS_F13			&Hff8c
CONST C_SYS_F14			&Hff8d
CONST C_SYS_F15			&Hff8e
CONST C_SYS_F16			&Hff8f
CONST C_SYS_UP			&Hff90
CONST C_SYS_DOWN		&Hff91
CONST C_SYS_RIGHT		&Hff92
CONST C_SYS_LEFT		&Hff93
CONST C_SYS_HOME		&Hff94
CONST C_SYS_END			&Hff95
CONST C_SYS_PREVIOUS		&Hff96
CONST C_SYS_NEXT		&Hff97
CONST C_SYS_INSERT		&Hff98
CONST C_SYS_CLEAR		&Hff99	rem Not used in Geos.
CONST C_SYS_DELETE		&Hff9a
CONST C_SYS_PRINT_SCREEN	&Hff9b
CONST C_SYS_HELP		&Hff9d	rem Not used in Geos.
CONST C_SYS_BREAK		&Hff9e
CONST C_SYS_CAPS_LOCK		&Hffe8
CONST C_SYS_NUM_LOCK		&Hffe9
CONST C_SYS_SCROLL_LOCK		&Hffea
CONST C_SYS_LEFT_ALT		&Hffe0
CONST C_SYS_RIGHT_ALT		&Hffe1
CONST C_SYS_LEFT_CTRL		&Hffe2
CONST C_SYS_RIGHT_CTRL		&Hffe3
CONST C_SYS_LEFT_SHIFT		&Hffe4
CONST C_SYS_RIGHT_SHIFT		&Hffe5


CONST KEY_BS 		&Hff08
CONST KEY_DEL 		&Hff9a
CONST KEY_ENTER 	&Hff0d
CONST KEY_KP_RETURN 	&Hffff
CONST KEY_HOME		&Hff94
CONST KEY_TAB		&Hff09
CONST KEY_END		&Hff93
CONST KEY_ESC		&Hff1b
CONST KEY_UP_ARROW	&Hff90
CONST KEY_LEFT_ARROW	&Hff93
CONST KEY_RIGHT_ARROW	&Hff92
CONST KEY_DOWN_ARROW	&Hff91
REM dim system as module
REM system = SystemModule()

 REM end of stdinc.bh

DisableEvents()
Dim form1 as form
form1 = MakeComponent("form","app")
CompInit form1
proto="form1"
top=136
left=107
sizeHControl=0
tile=1
caption="Color Resistor Calculator 0.11"
helpContext="TOC"
helpFile="resistor"
End CompInit
Dim group1 as group
group1 = MakeComponent("group",form1)
CompInit group1
proto="group1"
caption="group1"
look=2
sizeHControl=0
sizeVControl=0
width=300
height=60
tile=1
visible=1
End CompInit
Dim gadget1 as gadget
gadget1 = MakeComponent("gadget",group1)
CompInit gadget1
proto="gadget1"
width=250
height=50
visible=1
End CompInit
gadget1.name="gadget1"
group1.name="group1"
Dim group2 as group
group2 = MakeComponent("group",form1)
CompInit group2
proto="group2"
caption="group2"
look=2
sizeVControl=0
sizeHControl=0
width=300
height=120
visible=1
End CompInit
Dim scrollbar1 as scrollbar
scrollbar1 = MakeComponent("scrollbar",group2)
CompInit scrollbar1
proto="scrollbar1"
left=60
top=5
maximum=9
look=1
sizeVControl=3
value=1
minimum=1
sizeHControl=3
notifyDrag=1
visible=1
End CompInit
scrollbar1.name="scrollbar1"
Dim scrollbar2 as scrollbar
scrollbar2 = MakeComponent("scrollbar",group2)
CompInit scrollbar2
proto="scrollbar2"
left=90
top=5
maximum=9
look=1
sizeVControl=3
sizeHControl=3
visible=1
End CompInit
scrollbar2.name="scrollbar2"
Dim scrollbar3 as scrollbar
scrollbar3 = MakeComponent("scrollbar",group2)
CompInit scrollbar3
proto="scrollbar3"
left=120
top=5
maximum=9
look=1
sizeVControl=3
sizeHControl=3
visible=1
End CompInit
scrollbar3.name="scrollbar3"
Dim scrollbar4 as scrollbar
scrollbar4 = MakeComponent("scrollbar",group2)
CompInit scrollbar4
proto="scrollbar4"
left=150
top=5
maximum=8
look=1
sizeVControl=3
sizeHControl=3
visible=1
End CompInit
scrollbar4.name="scrollbar4"
Dim scrollbar5 as scrollbar
scrollbar5 = MakeComponent("scrollbar",group2)
CompInit scrollbar5
proto="scrollbar5"
left=180
top=5
maximum=8
look=1
sizeVControl=2
sizeHControl=3
visible=1
End CompInit
scrollbar5.name="scrollbar5"
Dim scrollbar6 as scrollbar
scrollbar6 = MakeComponent("scrollbar",group2)
CompInit scrollbar6
proto="scrollbar6"
left=210
top=5
maximum=7
sizeHControl=3
look=1
sizeVControl=3
visible=1
End CompInit
scrollbar6.name="scrollbar6"
Dim label1 as label
label1 = MakeComponent("label",group2)
CompInit label1
proto="label1"
caption="Wert/value: ??? Ohm"
left=50
top=50
sizeHControl=3
sizeVControl=3
visible=1
End CompInit
label1.name="label1"
Dim label2 as label
label2 = MakeComponent("label",group2)
CompInit label2
proto="label2"
caption="Toleranz: ??? % (??? - ???)"
left=50
top=70
sizeHControl=3
sizeVControl=3
visible=1
End CompInit
label2.name="label2"
Dim label3 as label
label3 = MakeComponent("label",group2)
CompInit label3
proto="label3"
caption="TK (ppm): ???"
left=50
top=90
sizeHControl=3
sizeVControl=3
visible=1
End CompInit
label3.name="label3"
group2.name="group2"
Dim popup1 as popup
popup1 = MakeComponent("popup",form1)
CompInit popup1
proto="popup1"
caption="Setup"
left=0
top=0
visible=1
End CompInit
Dim button2 as button
button2 = MakeComponent("button",popup1)
CompInit button2
proto="button2"
caption="Farben in Worten / color in words"
sizeHControl=3
sizeVControl=3
visible=1
End CompInit
button2.name="button2"
popup1.name="popup1"
Dim popup2 as popup
popup2 = MakeComponent("popup",form1)
CompInit popup2
proto="popup2"
caption="Anzahl (number) Ringe"
left=0
top=0
visible=1
End CompInit
Dim choice1 as choice
choice1 = MakeComponent("choice",popup2)
CompInit choice1
proto="choice1"
caption="3/4 Ringe / rings"
sizeHControl=3
sizeVControl=3
visible=1
End CompInit
choice1.name="choice1"
Dim choice3 as choice
choice3 = MakeComponent("choice",popup2)
CompInit choice3
proto="choice3"
caption="5/6 Ringe / rings"
sizeHControl=3
sizeVControl=3
status=1
visible=1
End CompInit
choice3.name="choice3"
popup2.name="popup2"
Dim popup3 as popup
popup3 = MakeComponent("popup",form1)
CompInit popup3
proto="popup3"
caption="About..."
left=0
top=0
visible=1
End CompInit
Dim button3 as button
button3 = MakeComponent("button",popup3)
CompInit button3
proto="button3"
caption="ber/About..."
sizeHControl=3
sizeVControl=3
visible=1
End CompInit
button3.name="button3"
popup3.name="popup3"
form1.name="form1"
form1.height=232
form1.width=313
Dim dialog1 as dialog
dialog1 = MakeComponent("dialog","app")
CompInit dialog1
proto="dialog1"
left=450
top=187
tile=1
caption="Farben in Worten / color in words"
End CompInit
Dim group3 as group
group3 = MakeComponent("group",dialog1)
CompInit group3
proto="group3"
caption="group3"
look=2
sizeHControl=3
tile=1
tileHAlign=2
tileSpacing=8
visible=1
End CompInit
Dim label4 as label
label4 = MakeComponent("label",group3)
CompInit label4
proto="label4"
caption="1. Ring:   ???"
visible=1
End CompInit
label4.name="label4"
Dim label5 as label
label5 = MakeComponent("label",group3)
CompInit label5
proto="label5"
caption="2. Ring:   ???"
sizeHControl=3
sizeVControl=3
visible=1
End CompInit
label5.name="label5"
Dim label6 as label
label6 = MakeComponent("label",group3)
CompInit label6
proto="label6"
caption="3. Ring:   ???"
sizeHControl=3
sizeVControl=3
visible=1
End CompInit
label6.name="label6"
Dim label7 as label
label7 = MakeComponent("label",group3)
CompInit label7
proto="label7"
caption="4. Ring:   ???"
sizeHControl=3
sizeVControl=3
visible=1
End CompInit
label7.name="label7"
Dim label8 as label
label8 = MakeComponent("label",group3)
CompInit label8
proto="label8"
caption="5. Ring:   ???"
sizeHControl=3
sizeVControl=3
visible=1
End CompInit
label8.name="label8"
Dim label9 as label
label9 = MakeComponent("label",group3)
CompInit label9
proto="label9"
caption="6. Ring:   ???"
sizeHControl=3
sizeVControl=3
visible=1
End CompInit
label9.name="label9"
group3.name="group3"
dialog1.name="dialog1"
dialog1.width=280
dialog1.height=160
Dim dialog2 as dialog
dialog2 = MakeComponent("dialog","app")
CompInit dialog2
proto="dialog2"
left=296
top=296
caption="ber..."
tile=1
End CompInit
Dim text1 as text
text1 = MakeComponent("text",dialog2)
CompInit text1
proto="text1"
height=60
readOnly=1
width=175
look=2
End CompInit
text1.name="text1"
text1.AppendString("Dieses Programm entstand\r")
text1.AppendString("nach einer Idee von Byron.\r")
text1.AppendString("\r")
text1.AppendString("Programmiert mit NewBASIC\r")
text1.AppendString("von Dirk Haase.")
text1.visible=1
dialog2.height=96
dialog2.width=213
dialog2.name="dialog2"
EnableEvents()
duplo_start()
end sub

sub duplo_start()
REM place initialization code here

rem INFO
rem
rem Wiederstandsberechnung mit Farbcode / resistor calculation with color code
rem Stand: 11.08.97
rem (c) dh 1997 ;-)

rem R-Wert Variablen definieren
	dim wert1  as float		rem Zwischenwert fuer Widerstandswert / "between-value" for resistor
	dim wert2  as float
	dim wert3  as float		rem fuer Toleranzberechnung / toleranzcalculation
	dim tol    as float		rem toleranz (allgemein/general)
	dim tolmin as float		rem min. r-value
	dim tolmax as float		rem max. r-value

dialog1.visible = 0	rem Farbworte-Dialogbox verstecken / hide color-word-box
dialog2.visible = 0	rem Ueber... Dialogbox verstecken / hide About-box

rem Definition fuer Choice-Auswahl / def. for Choice selection
dim ringanzahl as string
ringanzahl = "56"
scrollbar5.maximum = 7		rem Farben fuer Ring5 auf 7 begrenzen (wegen Beschraenkung auf
								rem 5 Ringe, da ansonsten auch 4 moeglich waeren

rem Farbdefinition / color definition

const braun  &hff773700
const rot    &hffff0000
const orange &hffff6b00
const gelb   &hffffdd32
const gruen  &hff00ab00
const blau   &hff0000cb
const lila   &hffc700cb
const grau   &hff9b9390
const gold   &hffffbc2a
const silber &hffdaccce
const ohne   &hffaaaaaa

DIM ring_13[10] AS long		rem Definition fuer Ring 1-3 / definition for ring 1 to 3
DIM ring_13c[10] AS string 	rem Definition fuer Wortanzeige / definition for wordview

ring_13[0]  = BLACK
ring_13c[0] = "Schwarz / black"
ring_13[1]  = braun
ring_13c[1] = "Braun / brown"
ring_13[2]  = rot
ring_13c[2] = "Rot / red"
ring_13[3]  = orange
ring_13c[3] = "Orange / orange"
ring_13[4]  = gelb
ring_13c[4] = "Gelb / yellow"
ring_13[5]  = gruen
ring_13c[5] = "Gruen / green"
ring_13[6]  = blau
ring_13c[6] = "Blau / blue"
ring_13[7]  = lila
ring_13c[7] = "Lila / lilac"
ring_13[8]  = grau
ring_13c[8] = "Grau / grey"
ring_13[9]  = WHITE
ring_13c[9] = "Weiss / white"

DIM ring_4a[9] AS long		rem Anzahl der "Nullen" / definition for sum of zero's
DIM ring_4b[9] as float
DIM ring_4c[9] AS string 	rem Definition fuer Wortanzeige / definition for wordview

ring_4a[0] = silber
ring_4b[0] = 0.01
ring_4c[0] = "Silber / silver"
ring_4a[1] = gold
ring_4b[1] = 0.1
ring_4c[1] = "Gold / gold"
ring_4a[2] = BLACK
ring_4b[2] = 1
ring_4c[2] = "Schwarz / black"
ring_4a[3] = braun
ring_4b[3] = 10
ring_4c[3] = "Braun / brown"
ring_4a[4] = rot
ring_4b[4] = 100
ring_4c[4] = "Rot / red"
ring_4a[5] = orange
ring_4b[5] = 1000
ring_4c[5] = "Orange / orange"
ring_4a[6] = gelb
ring_4b[6] = 10000
ring_4c[6] = "Gelb / yellow"
ring_4a[7] = gruen
ring_4b[7] = 100000
ring_4c[7] = "Gruen / green"
ring_4a[8] = blau
ring_4b[8] = 1000000
ring_4c[8] = "Blau / blue"

dim ring_5[9]  as long		rem Toleranz
dim ring_5b[9] as string	rem Toleranzbeschriftung / tolerant description
dim ring_5c[9] as string 	rem Definition fuer Wortanzeige / definition for wordview

ring_5b[0] = "0.05"
ring_5[0]  = grau
ring_5c[0] = "Grau / grey"
ring_5b[1] = "0.1"
ring_5[1]  = lila
ring_5c[1] = "Lila / lilac"
ring_5b[2] = "0.25"
ring_5[2]  = blau
ring_5c[2] = "Blau / blue"
ring_5b[3] = "0.5"
ring_5[3]  = gruen
ring_5c[3] = "Gruen / green"
ring_5b[4] = "1"
ring_5[4]  = braun
ring_5c[4] = "Braun / brown"
ring_5b[5] = "2"
ring_5[5]  = rot
ring_5c[5] = "Rot / red"
ring_5b[6] = "5"
ring_5[6]  = gold
ring_5c[6] = "Gold / gold"
ring_5b[7] = "10"
ring_5[7]  = silber
ring_5c[7] = "Silber / silver"
ring_5b[8] = "20"
ring_5[8]  = ohne
ring_5c[8] = " --- "

dim ring_6[8,2] as long	rem TK
dim ring_6c[8] as string 	rem Definition fuer Wortanzeige / definition for wordview

ring_6[0,0] = gruen
ring_6[0,1] = 5
ring_6c[0]  = "Gruen / green"
ring_6[1,1] = 10
ring_6[1,0] = WHITE
ring_6c[1]  = "Weiss / white"
ring_6[2,1] = 15
ring_6[2,0] = orange
ring_6c[2]  = "Orange / orange"
ring_6[3,1] = 25
ring_6[3,0] = gelb
ring_6c[3]  = "Gelb / yellow"
ring_6[4,1] = 50
ring_6[4,0] = rot
ring_6c[4]  = "Rot / red"
ring_6[5,1] = 100
ring_6[5,0] = braun
ring_6c[5]  = "Braun / brown"
ring_6[6,1] = 200
ring_6[6,0] = BLACK
ring_6c[6]  = "Schwarz / black"
ring_6[7,1] = 50
ring_6[7,0] = ohne
ring_6c[7]  = " --- "

text1.bgColor = ohne		rem Hintergrundfarbe fuer text1 auf grau / background-color to grey for text1

end sub

sub module_goTo(context as string)

end sub

function module_getContext()

module_getContext = ""

end function

sub module_show()
REM code for making this module appear
form1.visible=1

end sub

sub module_hide()
REM code for making this module disappear
form1.visible=0

end sub

sub module_exit()

end sub

sub scrollbar1_changed(self as scrollbar, scrollType as integer)
	gadget1_draw(gadget1)
end sub

sub scrollbar2_changed(self as scrollbar, scrollType as integer)
	gadget1_draw(gadget1)
end sub

sub scrollbar3_changed(self as scrollbar, scrollType as integer)
	gadget1_draw(gadget1)
end sub

sub scrollbar4_changed(self as scrollbar, scrollType as integer)
	gadget1_draw(gadget1)
end sub

sub scrollbar5_changed(self as scrollbar, scrollType as integer)
	gadget1_draw(gadget1)
end sub

sub scrollbar6_changed(self as scrollbar, scrollType as integer)
	gadget1_draw(gadget1)
end sub

sub gadget1_draw(self as gadget)

rem Funktion zum neuzeichnen/berechnen - function to redraw/recalc

if ringanzahl = "34" then

	scrollbar3.visible = 0 rem Auswahlen fuer 3. Farbring und TK bei 3 Ringen wegschalten
	scrollbar6.visible = 0 rem hide ring 3 and 6 (3th value ring and tk-ring
	label6.visible = 0
	label9.visible = 0

	rem	ringe zeichnen - draw rings
	gadget1.DrawRect(97,1,117,49,ohne)
	gadget1.DrawRect(187,1,207,49,ohne)

	rem R-Wert berechnen - calculate resistor-value
	wert1 = val(str(scrollbar1.value)+str(scrollbar2.value))	rem combine first three rings
	wert2 = wert1 * ring_4b[scrollbar4.value]					rem and multiply with ring four

	scrollbar6.value=8

else	rem rinanzahl = 56

	scrollbar3.visible = 1 rem Auswahlen fuer 3. Farbring und TK bei 3 Ringen zuschalten
	scrollbar6.visible = 1 rem show ring 3 and six - 3th value ring and tk-ring
	label6.visible = 1
	label9.visible = 1
	
	rem	ringe zeichnen - draw rings
	gadget1.DrawRect(97,1,117,49,ring_13[scrollbar3.value])
	gadget1.DrawRect(187,1,207,49,ring_6[scrollbar6.value,0])

	rem R-Wert berechnen - calculate resistor-value
	wert1 = val(str(scrollbar1.value)+str(scrollbar2.value)+str(scrollbar3.value))	rem combine first three rings
	wert2 = wert1 * ring_4b[scrollbar4.value]											rem and multiply with ring four

end if

rem	ringe zeichnen - draw rings
	gadget1.DrawRect(37,1,57,49,ring_13[scrollbar1.value])
	gadget1.DrawRect(67,1,87,49,ring_13[scrollbar2.value])
	gadget1.DrawRect(127,1,147,49,ring_4a[scrollbar4.value])	rem multiplikator
	gadget1.DrawRect(157,1,177,49,ring_5[scrollbar5.value])	rem toleranz

rem Widerstand zeichnen (geruest) - draw resistor
	gadget1.DrawHLine(25,218,0,BLACK)
	gadget1.DrawHLine(25,218,49,BLACK)
	gadget1.DrawVLine(0,50,25,BLACK)
	gadget1.DrawVLine(0,50,218,BLACK)
	gadget1.DrawHLine(0,25,25,BLACK)
	gadget1.DrawHLine(218,242,25,BLACK)

rem	Farbworte ausgeben - funktioniert noch nicht ! / display color-words - don't work at time !
	label4.caption = "Ring 1:   " + ring_13c[scrollbar1.value]
	label5.caption = "Ring 2:   " + ring_13c[scrollbar2.value]
	label6.caption = "Ring 3:   " + ring_13c[scrollbar3.value]
	label7.caption = "Ring 4:   " + ring_4c[scrollbar4.value]
	label8.caption = "Ring 5:   " + ring_5c[scrollbar5.value]
	label9.caption = "Ring 6:   " + ring_6c[scrollbar6.value]

rem Toleranzbereich berechen / calculate the toleranz-area
	wert3 = val(ring_5b[scrollbar5.value])
	tol = (wert2 * wert3)/100
	tolmin = wert2-tol
	tolmax = wert2+tol
	label2.caption = "Toleranz: +/- "+ ring_5b[scrollbar5.value] + " % -> ("+str(int(tolmin*100)/100) +" - "+str(int(tolmax*100)/100) +")              "

rem Widerstand auf Groesse ueberpruefen - check the size for MOhm/kOhm/Ohm

if wert2 >= 100000 then
	wert2 = int((wert2/1000000)*100)/100
	label1.caption = "Wert/value: "+ str(wert2)+" MOhm               "
	label2.caption = "Toleranz: +/- "+ ring_5b[scrollbar5.value] + " % -> ("+str(int((tolmin/1000000)*100)/100) +" - "+str(int((tolmax/1000000)*100)/100) +" MOhm)              "
else
	if wert2 >= 1000 then
			wert2 = int((wert2/1000)*100)/100
			label1.caption = "Wert/value: "+ str(wert2)+" kOhm               "
			label2.caption = "Toleranz: +/- "+ ring_5b[scrollbar5.value] + " % -> ("+str(int((tolmin/1000)*100)/100) +" - "+str(int((tolmax/1000)*100)/100) +" kOhm)              "
		else
			label1.caption = "Wert/value: "+ str(int(wert2*100)/100)+" Ohm               "
			label2.caption = "Toleranz: +/- "+ ring_5b[scrollbar5.value] + " % -> ("+str(int(tolmin*100)/100) +" - "+str(int(tolmax*100)/100) +" Ohm)              "
	end if
end if

label3.caption = "TK: "+ str(ring_6[scrollbar6.value,1]) + " ppm               "

rem
rem int(xxx*100)/100 should shorten the value to two points after the comma
rem int(xxx*100)/100 sollte eigentlich den Wert auf zwei Nachkommastellen kuerzen
rem 

end sub

sub button2_pressed(self as button)
	dialog1.visible = 1
end sub

sub choice1_changed(self as choice)
	ringanzahl = "34"
	scrollbar5.maximum = 8
	gadget1_draw(gadget1)
end sub

sub choice3_changed(self as choice)
	ringanzahl = "56"
	scrollbar5.maximum = 7
	gadget1_draw(gadget1)
end sub

sub button3_pressed(self as button)
	dialog2.visible = 1
end sub

