sub duplo_ui_ui_ui()
 REM		$Id$
 REM	Copyright (c) Geoworks 1995 -- All Rights Reserved
 REM	FILE:		STDINC.BH

 STRUCT TimeOfDay
  DIM hour as integer
  DIM minute as integer
  DIM second as integer
 END STRUCT

 STRUCT Date
  DIM year as integer
  DIM month as integer
  DIM day as integer
 END STRUCT

 STRUCT Notification
  DIM arg1 as integer
  DIM arg2 as integer
  DIM arg3 as integer
  DIM arg4 as integer
  DIM arg5 as string
  DIM arg6 as complex
 END STRUCT

REM useful color constants
CONST WHITE 		&Hffffffff
CONST BLACK 		&Hff000000
CONST GRAY_50 		&Hff808080, GREY_50 		&Hff808080
CONST DARK_GRAY 	&Hff555555, LIGHT_GRAY		&Hffaaaaaa
CONST DARK_GREY 	&Hff555555, LIGHT_GREY		&Hffaaaaaa
CONST DARK_GREEN	&Hff00aa00, LIGHT_GREEN 	&Hff55ff55
CONST DARK_BLUE 	&Hff0000aa, LIGHT_BLUE		&Hff5555ff
CONST DARK_CYAN		&Hff00aaaa, LIGHT_CYAN		&Hff55ffff
CONST DARK_PURPLE	&Hffaa00aa, LIGHT_PURPLE	&Hffff55ff
CONST DARK_ORANGE	&Hffaa5500, LIGHT_ORANGE	&Hffff5555
CONST YELLOW		&Hffffff55
CONST RED		&Hffaa0000

REM useful Boolean constants
CONST TRUE		1
CONST FALSE		0

REM sound constants
CONST SS_ERROR		0
CONST SS_WARNING	1
CONST SS_NOTIFY		2
CONST SS_NO_INPUT	3
CONST SS_KEY_CLICK	4
CONST SS_ALARM		5

CONST PEN_PRESS 1, PEN_HOLD 2, PEN_DRAG 3, PEN_TO 4, PEN_RELEASE 5
CONST PEN_LOST 6, PEN_FLY_OVER 7

CONST C_SYS_BACKSPACE		&Hff08
CONST C_SYS_TAB			&Hff09
CONST C_SYS_ENTER		&Hff0d
CONST C_SYS_ESCAPE		&Hff1b
CONST C_SYS_F1			&Hff80
CONST C_SYS_F2			&Hff81
CONST C_SYS_F3			&Hff82
CONST C_SYS_F4			&Hff83
CONST C_SYS_F5			&Hff84
CONST C_SYS_F6			&Hff85
CONST C_SYS_F7			&Hff86
CONST C_SYS_F8			&Hff87
CONST C_SYS_F9			&Hff88
CONST C_SYS_F10			&Hff89
CONST C_SYS_F11			&Hff8a
CONST C_SYS_F12			&Hff8b
CONST C_SYS_F13			&Hff8c
CONST C_SYS_F14			&Hff8d
CONST C_SYS_F15			&Hff8e
CONST C_SYS_F16			&Hff8f
CONST C_SYS_UP			&Hff90
CONST C_SYS_DOWN		&Hff91
CONST C_SYS_RIGHT		&Hff92
CONST C_SYS_LEFT		&Hff93
CONST C_SYS_HOME		&Hff94
CONST C_SYS_END			&Hff95
CONST C_SYS_PREVIOUS		&Hff96
CONST C_SYS_NEXT		&Hff97
CONST C_SYS_INSERT		&Hff98
CONST C_SYS_CLEAR		&Hff99	rem Not used in Geos.
CONST C_SYS_DELETE		&Hff9a
CONST C_SYS_PRINT_SCREEN	&Hff9b
CONST C_SYS_HELP		&Hff9d	rem Not used in Geos.
CONST C_SYS_BREAK		&Hff9e
CONST C_SYS_CAPS_LOCK		&Hffe8
CONST C_SYS_NUM_LOCK		&Hffe9
CONST C_SYS_SCROLL_LOCK		&Hffea
CONST C_SYS_LEFT_ALT		&Hffe0
CONST C_SYS_RIGHT_ALT		&Hffe1
CONST C_SYS_LEFT_CTRL		&Hffe2
CONST C_SYS_RIGHT_CTRL		&Hffe3
CONST C_SYS_LEFT_SHIFT		&Hffe4
CONST C_SYS_RIGHT_SHIFT		&Hffe5


CONST KEY_BS 		&Hff08
CONST KEY_DEL 		&Hff9a
CONST KEY_ENTER 	&Hff0d
CONST KEY_KP_RETURN 	&Hffff
CONST KEY_HOME		&Hff94
CONST KEY_TAB		&Hff09
CONST KEY_END		&Hff93
CONST KEY_ESC		&Hff1b
CONST KEY_UP_ARROW	&Hff90
CONST KEY_LEFT_ARROW	&Hff93
CONST KEY_RIGHT_ARROW	&Hff92
CONST KEY_DOWN_ARROW	&Hff91
REM dim system as module
REM system = SystemModule()

 REM end of stdinc.bh

DisableEvents()
Dim form1 as form
form1 = MakeComponent("form","app")
CompInit form1
proto="form1"
top=121
left=137
sizeHControl=0
sizeVControl=0
tile=1
caption="Funktionsaufruf"
End CompInit
Dim group1 as group
group1 = MakeComponent("group",form1)
CompInit group1
proto="group1"
caption="group1"
look=2
sizeHControl=0
sizeVControl=0
height=101
width=267
visible=1
End CompInit
Dim number1 as number
number1 = MakeComponent("number",group1)
CompInit number1
proto="number1"
left=6
top=28
caption="x:"
sizeHControl=3
sizeVControl=3
minimum=-100
maximum=100
visible=1
End CompInit
number1.name="number1"
Dim number2 as number
number2 = MakeComponent("number",group1)
CompInit number2
proto="number2"
left=133
top=29
caption="y:"
sizeHControl=3
sizeVControl=3
minimum=-100
maximum=100
visible=1
End CompInit
number2.name="number2"
Dim button3 as button
button3 = MakeComponent("button",group1)
CompInit button3
proto="button3"
caption="Multiplizieren !"
left=81
top=66
sizeHControl=0
sizeVControl=0
height=23
width=98
visible=1
End CompInit
button3.name="button3"
group1.name="group1"
Dim label1 as label
label1 = MakeComponent("label",form1)
CompInit label1
proto="label1"
caption="???"
sizeHControl=3
sizeVControl=3
visible=1
End CompInit
label1.name="label1"
form1.name="form1"
form1.height=165
form1.width=287
EnableEvents()
duplo_start()
end sub

sub duplo_start()
REM place initialization code here

	dim area as integer

end sub

sub module_goTo(context as string)

end sub

function module_getContext()

module_getContext = ""

end function

sub module_show()
REM code for making this module appear
form1.visible=1

end sub

sub module_hide()
REM code for making this module disappear
form1.visible=0

end sub

sub module_exit()

end sub

function squared (x as integer, y as integer) as integer
	squared = x * y
end function

sub button3_pressed(self as button)

	REM	Aufruf der Funktion 'squared' mit den beiden eingestellten Werten (number1, number2)
	REM	als Parameter
	
	area = squared(number1.value,number2.value)
	
	label1.caption = str(area)		REM Ausgabe des Ergebnisses
										REM str() wandelt Wert in Zeichenkette

	REM Die Berechnung kann natuerlich auch bei jeder Aenderung der Number-Objekte erfolgen.
	REM Dazu muss der Aufruf der squared-Funktion und die Ausgabe nur in den beiden dazugehoerigen
	REM actions erfolgen (number1_changed und number2_changed)

end sub

