sub duplo_ui_ui_ui()
 REM		$Id$
 REM	Copyright (c) Geoworks 1995 -- All Rights Reserved
 REM	FILE:		STDINC.BH

 STRUCT TimeOfDay
  DIM hour as integer
  DIM minute as integer
  DIM second as integer
 END STRUCT

 STRUCT Date
  DIM year as integer
  DIM month as integer
  DIM day as integer
 END STRUCT

 STRUCT Notification
  DIM arg1 as integer
  DIM arg2 as integer
  DIM arg3 as integer
  DIM arg4 as integer
  DIM arg5 as string
  DIM arg6 as complex
 END STRUCT

REM useful color constants
CONST WHITE 		&Hffffffff
CONST BLACK 		&Hff000000
CONST GRAY_50 		&Hff808080, GREY_50 		&Hff808080
CONST DARK_GRAY 	&Hff555555, LIGHT_GRAY		&Hffaaaaaa
CONST DARK_GREY 	&Hff555555, LIGHT_GREY		&Hffaaaaaa
CONST DARK_GREEN	&Hff00aa00, LIGHT_GREEN 	&Hff55ff55
CONST DARK_BLUE 	&Hff0000aa, LIGHT_BLUE		&Hff5555ff
CONST DARK_CYAN		&Hff00aaaa, LIGHT_CYAN		&Hff55ffff
CONST DARK_PURPLE	&Hffaa00aa, LIGHT_PURPLE	&Hffff55ff
CONST DARK_ORANGE	&Hffaa5500, LIGHT_ORANGE	&Hffff5555
CONST YELLOW		&Hffffff55
CONST RED		&Hffaa0000

REM useful Boolean constants
CONST TRUE		1
CONST FALSE		0

REM sound constants
CONST SS_ERROR		0
CONST SS_WARNING	1
CONST SS_NOTIFY		2
CONST SS_NO_INPUT	3
CONST SS_KEY_CLICK	4
CONST SS_ALARM		5

CONST PEN_PRESS 1, PEN_HOLD 2, PEN_DRAG 3, PEN_TO 4, PEN_RELEASE 5
CONST PEN_LOST 6, PEN_FLY_OVER 7

CONST C_SYS_BACKSPACE		&Hff08
CONST C_SYS_TAB			&Hff09
CONST C_SYS_ENTER		&Hff0d
CONST C_SYS_ESCAPE		&Hff1b
CONST C_SYS_F1			&Hff80
CONST C_SYS_F2			&Hff81
CONST C_SYS_F3			&Hff82
CONST C_SYS_F4			&Hff83
CONST C_SYS_F5			&Hff84
CONST C_SYS_F6			&Hff85
CONST C_SYS_F7			&Hff86
CONST C_SYS_F8			&Hff87
CONST C_SYS_F9			&Hff88
CONST C_SYS_F10			&Hff89
CONST C_SYS_F11			&Hff8a
CONST C_SYS_F12			&Hff8b
CONST C_SYS_F13			&Hff8c
CONST C_SYS_F14			&Hff8d
CONST C_SYS_F15			&Hff8e
CONST C_SYS_F16			&Hff8f
CONST C_SYS_UP			&Hff90
CONST C_SYS_DOWN		&Hff91
CONST C_SYS_RIGHT		&Hff92
CONST C_SYS_LEFT		&Hff93
CONST C_SYS_HOME		&Hff94
CONST C_SYS_END			&Hff95
CONST C_SYS_PREVIOUS		&Hff96
CONST C_SYS_NEXT		&Hff97
CONST C_SYS_INSERT		&Hff98
CONST C_SYS_CLEAR		&Hff99	rem Not used in Geos.
CONST C_SYS_DELETE		&Hff9a
CONST C_SYS_PRINT_SCREEN	&Hff9b
CONST C_SYS_HELP		&Hff9d	rem Not used in Geos.
CONST C_SYS_BREAK		&Hff9e
CONST C_SYS_CAPS_LOCK		&Hffe8
CONST C_SYS_NUM_LOCK		&Hffe9
CONST C_SYS_SCROLL_LOCK		&Hffea
CONST C_SYS_LEFT_ALT		&Hffe0
CONST C_SYS_RIGHT_ALT		&Hffe1
CONST C_SYS_LEFT_CTRL		&Hffe2
CONST C_SYS_RIGHT_CTRL		&Hffe3
CONST C_SYS_LEFT_SHIFT		&Hffe4
CONST C_SYS_RIGHT_SHIFT		&Hffe5


CONST KEY_BS 		&Hff08
CONST KEY_DEL 		&Hff9a
CONST KEY_ENTER 	&Hff0d
CONST KEY_KP_RETURN 	&Hffff
CONST KEY_HOME		&Hff94
CONST KEY_TAB		&Hff09
CONST KEY_END		&Hff93
CONST KEY_ESC		&Hff1b
CONST KEY_UP_ARROW	&Hff90
CONST KEY_LEFT_ARROW	&Hff93
CONST KEY_RIGHT_ARROW	&Hff92
CONST KEY_DOWN_ARROW	&Hff91
REM dim system as module
REM system = SystemModule()

 REM end of stdinc.bh

DisableEvents()
Dim form1 as form
form1 = MakeComponent("form","app")
CompInit form1
proto="form1"
top=113
left=175
tileSpacing=10
caption="FRG-100 Frequenzeingabe 0.1"
tile=1
End CompInit
Dim group_tasten as group
group_tasten = MakeComponent("group",form1)
CompInit group_tasten
proto="group1"
caption="Frequenzeingabe"
height=145
width=89
look=1
visible=1
End CompInit
Dim button_1 as button
button_1 = MakeComponent("button",group_tasten)
CompInit button_1
proto="button2"
caption="1"
left=25
top=40
sizeHControl=0
sizeVControl=3
width=22
visible=1
End CompInit
button_1.name="button_1"
Dim button_2 as button
button_2 = MakeComponent("button",group_tasten)
CompInit button_2
proto="button3"
caption="2"
left=50
top=40
sizeVControl=3
sizeHControl=0
width=22
visible=1
End CompInit
button_2.name="button_2"
Dim button_3 as button
button_3 = MakeComponent("button",group_tasten)
CompInit button_3
proto="button4"
caption="3"
left=75
top=40
sizeHControl=0
sizeVControl=3
width=22
visible=1
End CompInit
button_3.name="button_3"
Dim button_5 as button
button_5 = MakeComponent("button",group_tasten)
CompInit button_5
proto="button6"
caption="5"
left=50
top=60
sizeVControl=3
sizeHControl=0
width=22
visible=1
End CompInit
button_5.name="button_5"
Dim button_6 as button
button_6 = MakeComponent("button",group_tasten)
CompInit button_6
proto="button7"
caption="6"
left=75
top=60
sizeHControl=0
sizeVControl=3
width=22
visible=1
End CompInit
button_6.name="button_6"
Dim button_7 as button
button_7 = MakeComponent("button",group_tasten)
CompInit button_7
proto="button8"
caption="7"
left=25
top=80
sizeHControl=0
sizeVControl=3
width=22
visible=1
End CompInit
button_7.name="button_7"
Dim button_8 as button
button_8 = MakeComponent("button",group_tasten)
CompInit button_8
proto="button9"
caption="8"
left=50
top=80
sizeVControl=3
sizeHControl=0
width=22
visible=1
End CompInit
button_8.name="button_8"
Dim button_9 as button
button_9 = MakeComponent("button",group_tasten)
CompInit button_9
proto="button10"
caption="9"
left=75
top=80
sizeHControl=0
sizeVControl=3
width=22
visible=1
End CompInit
button_9.name="button_9"
Dim button_P as button
button_P = MakeComponent("button",group_tasten)
CompInit button_P
proto="button14"
caption=" ."
left=25
top=100
sizeHControl=0
sizeVControl=3
width=22
visible=1
End CompInit
button_P.name="button_P"
Dim button_0 as button
button_0 = MakeComponent("button",group_tasten)
CompInit button_0
proto="button12"
caption="0"
left=50
top=100
sizeHControl=0
sizeVControl=3
width=22
visible=1
End CompInit
button_0.name="button_0"
Dim button_C as button
button_C = MakeComponent("button",group_tasten)
CompInit button_C
proto="button11"
caption="C"
left=75
top=100
sizeVControl=3
sizeHControl=0
width=22
visible=1
End CompInit
button_C.name="button_C"
Dim button_S as button
button_S = MakeComponent("button",group_tasten)
CompInit button_S
proto="button13"
caption="Send"
left=25
top=120
sizeHControl=0
sizeVControl=3
width=47
enabled=0
visible=1
End CompInit
button_S.name="button_S"
Dim button_4 as button
button_4 = MakeComponent("button",group_tasten)
CompInit button_4
proto="button5"
caption="4"
left=25
top=60
sizeHControl=0
sizeVControl=3
width=22
visible=1
End CompInit
button_4.name="button_4"
Dim entry_freq as entry
entry_freq = MakeComponent("entry",group_tasten)
CompInit entry_freq
proto="entry1"
left=22
top=20
width=60
maxChars=8
filter=32
text=""
visible=1
End CompInit
entry_freq.name="entry_freq"
Dim label2 as label
label2 = MakeComponent("label",group_tasten)
CompInit label2
proto="label2"
caption="kHz"
left=86
top=23
sizeHControl=3
sizeVControl=3
visible=1
End CompInit
label2.name="label2"
Dim button_L as button
button_L = MakeComponent("button",group_tasten)
CompInit button_L
proto="button15"
caption="<-"
left=75
top=120
sizeHControl=0
sizeVControl=3
width=22
visible=1
End CompInit
button_L.name="button_L"
group_tasten.name="group_tasten"
Dim label_freq as label
label_freq = MakeComponent("label",form1)
CompInit label_freq
proto="label3"
caption="??? kHz"
sizeHControl=3
sizeVControl=3
visible=1
End CompInit
label_freq.name="label_freq"
form1.width=147
form1.height=201
form1.name="form1"
Dim sound1 as sound
sound1 = MakeComponent("sound","app")
CompInit sound1
proto="sound1"
End CompInit
sound1.name="sound1"
EnableEvents()
duplo_start()
end sub

sub duplo_start()
REM place initialization code here

dim freqtext as string
dim freqvalue as float

end sub

sub module_goTo(context as string)

end sub

function module_getContext()

module_getContext = ""

end function

sub module_show()
REM code for making this module appear
form1.visible=1

end sub

sub module_hide()
REM code for making this module disappear
form1.visible=0

end sub

sub module_exit()

end sub

sub button2_pressed(self as button)

	Freqtest(val(entry_freq.text+"1"))
	entry_freq.text = entry_freq.text+"1"
	
end sub

sub button3_pressed(self as button)
	Freqtest(val(entry_freq.text+"2"))
	entry_freq.text = entry_freq.text+"2"
end sub

sub button4_pressed(self as button)
	Freqtest(val(entry_freq.text+"3"))
	entry_freq.text = entry_freq.text+"3"
end sub

sub button6_pressed(self as button)
	Freqtest(val(entry_freq.text+"5"))
	entry_freq.text = entry_freq.text+"5"
end sub

sub button7_pressed(self as button)
	Freqtest(val(entry_freq.text+"6"))
	entry_freq.text = entry_freq.text+"6"
end sub

sub button8_pressed(self as button)
	Freqtest(val(entry_freq.text+"7"))
	entry_freq.text = entry_freq.text+"7"
end sub

sub button9_pressed(self as button)
	Freqtest(val(entry_freq.text+"8"))
	entry_freq.text = entry_freq.text+"8"
end sub

sub button10_pressed(self as button)
	Freqtest(val(entry_freq.text+"9"))
	entry_freq.text = entry_freq.text+"9"
end sub

sub button14_pressed(self as button)
	entry_freq.text = entry_freq.text+"."
end sub

sub button12_pressed(self as button)
	Freqtest(val(entry_freq.text+"0"))
	entry_freq.text = entry_freq.text+"0"
end sub

sub button11_pressed(self as button)
	entry_freq.text = ""
	button_S.enabled = 0
end sub

sub button13_pressed(self as button)
	label_freq.caption = str(int(val(entry_freq.text)*100)/100)
end sub

sub button5_pressed(self as button)
	Freqtest(val(entry_freq.text+"4"))
	entry_freq.text = entry_freq.text+"4"
end sub

sub Freqtest(freqvalue as float)

rem Ueberpruefen, ob eingegebene Frequenz im gueltigen Bereich liegt

if freqvalue > 49.99 AND freqvalue < 30000 then
	button_S.enabled = 1
else
	button_S.enabled = 0
end if

end sub

sub button15_pressed(self as button)
	rem Button um letztes eingegebenes Zeichen zu loeschen
	
	dim laenge as integer
	laenge = len(entry_freq.text)
	entry_freq.text = left(entry_freq.text,laenge-1)
	
	Freqtest(val(entry_freq.text))
	
end sub

sub entry1_entered(self as entry)
	sound1.StandardSound(1)
end sub

function entry1_filterChar(self as entry, newChar as integer, replaceStart as integer, replaceEnd as integer, endOfGroup as integer) as integer
	sound1.StandardSound(2)
end function

