sub duplo_ui_ui_ui()
 REM		$Id$
 REM	Copyright (c) Geoworks 1995 -- All Rights Reserved
 REM	FILE:		STDINC.BH

 STRUCT TimeOfDay
  DIM hour as integer
  DIM minute as integer
  DIM second as integer
 END STRUCT

 STRUCT Date
  DIM year as integer
  DIM month as integer
  DIM day as integer
 END STRUCT

 STRUCT Notification
  DIM arg1 as integer
  DIM arg2 as integer
  DIM arg3 as integer
  DIM arg4 as integer
  DIM arg5 as string
  DIM arg6 as complex
 END STRUCT

REM useful color constants
CONST WHITE 		&Hffffffff
CONST BLACK 		&Hff000000
CONST GRAY_50 		&Hff808080, GREY_50 		&Hff808080
CONST DARK_GRAY 	&Hff555555, LIGHT_GRAY		&Hffaaaaaa
CONST DARK_GREY 	&Hff555555, LIGHT_GREY		&Hffaaaaaa
CONST DARK_GREEN	&Hff00aa00, LIGHT_GREEN 	&Hff55ff55
CONST DARK_BLUE 	&Hff0000aa, LIGHT_BLUE		&Hff5555ff
CONST DARK_CYAN		&Hff00aaaa, LIGHT_CYAN		&Hff55ffff
CONST DARK_PURPLE	&Hffaa00aa, LIGHT_PURPLE	&Hffff55ff
CONST DARK_ORANGE	&Hffaa5500, LIGHT_ORANGE	&Hffff5555
CONST YELLOW		&Hffffff55
CONST RED		&Hffaa0000

REM useful Boolean constants
CONST TRUE		1
CONST FALSE		0

REM sound constants
CONST SS_ERROR		0
CONST SS_WARNING	1
CONST SS_NOTIFY		2
CONST SS_NO_INPUT	3
CONST SS_KEY_CLICK	4
CONST SS_ALARM		5

CONST PEN_PRESS 1, PEN_HOLD 2, PEN_DRAG 3, PEN_TO 4, PEN_RELEASE 5
CONST PEN_LOST 6, PEN_FLY_OVER 7

CONST C_SYS_BACKSPACE		&Hff08
CONST C_SYS_TAB			&Hff09
CONST C_SYS_ENTER		&Hff0d
CONST C_SYS_ESCAPE		&Hff1b
CONST C_SYS_F1			&Hff80
CONST C_SYS_F2			&Hff81
CONST C_SYS_F3			&Hff82
CONST C_SYS_F4			&Hff83
CONST C_SYS_F5			&Hff84
CONST C_SYS_F6			&Hff85
CONST C_SYS_F7			&Hff86
CONST C_SYS_F8			&Hff87
CONST C_SYS_F9			&Hff88
CONST C_SYS_F10			&Hff89
CONST C_SYS_F11			&Hff8a
CONST C_SYS_F12			&Hff8b
CONST C_SYS_F13			&Hff8c
CONST C_SYS_F14			&Hff8d
CONST C_SYS_F15			&Hff8e
CONST C_SYS_F16			&Hff8f
CONST C_SYS_UP			&Hff90
CONST C_SYS_DOWN		&Hff91
CONST C_SYS_RIGHT		&Hff92
CONST C_SYS_LEFT		&Hff93
CONST C_SYS_HOME		&Hff94
CONST C_SYS_END			&Hff95
CONST C_SYS_PREVIOUS		&Hff96
CONST C_SYS_NEXT		&Hff97
CONST C_SYS_INSERT		&Hff98
CONST C_SYS_CLEAR		&Hff99	rem Not used in Geos.
CONST C_SYS_DELETE		&Hff9a
CONST C_SYS_PRINT_SCREEN	&Hff9b
CONST C_SYS_HELP		&Hff9d	rem Not used in Geos.
CONST C_SYS_BREAK		&Hff9e
CONST C_SYS_CAPS_LOCK		&Hffe8
CONST C_SYS_NUM_LOCK		&Hffe9
CONST C_SYS_SCROLL_LOCK		&Hffea
CONST C_SYS_LEFT_ALT		&Hffe0
CONST C_SYS_RIGHT_ALT		&Hffe1
CONST C_SYS_LEFT_CTRL		&Hffe2
CONST C_SYS_RIGHT_CTRL		&Hffe3
CONST C_SYS_LEFT_SHIFT		&Hffe4
CONST C_SYS_RIGHT_SHIFT		&Hffe5


CONST KEY_BS 		&Hff08
CONST KEY_DEL 		&Hff9a
CONST KEY_ENTER 	&Hff0d
CONST KEY_KP_RETURN 	&Hffff
CONST KEY_HOME		&Hff94
CONST KEY_TAB		&Hff09
CONST KEY_END		&Hff93
CONST KEY_ESC		&Hff1b
CONST KEY_UP_ARROW	&Hff90
CONST KEY_LEFT_ARROW	&Hff93
CONST KEY_RIGHT_ARROW	&Hff92
CONST KEY_DOWN_ARROW	&Hff91
REM dim system as module
REM system = SystemModule()

 REM end of stdinc.bh

DisableEvents()
Dim form1 as form
form1 = MakeComponent("form","app")
CompInit form1
proto="form1"
top=85
left=90
sizeHControl=0
sizeVControl=0
tile=1
caption="Beispiel fr Button"
End CompInit
Dim group1 as group
group1 = MakeComponent("group",form1)
CompInit group1
proto="group1"
caption="group1"
look=2
sizeHControl=0
sizeVControl=0
height=271
width=285
visible=1
End CompInit
Dim button1 as button
button1 = MakeComponent("button",group1)
CompInit button1
proto="button1"
caption="Dialogbox"
sizeHControl=3
sizeVControl=0
left=99
top=236
height=30
default=1
visible=1
End CompInit
button1.name="button1"
Dim text2 as text
text2 = MakeComponent("text",group1)
CompInit text2
proto="text2"
left=12
top=-1
readOnly=1
width=262
height=223
look=1
End CompInit
text2.name="text2"
text2.AppendString("Demo zu 'Button':\r")
text2.AppendString("ber Taste 'Dialogbox' wird eine Dialogbox aufgerufen. Aufruf erfolgt innerhalb der\r")
text2.AppendString("entspechenden sub-Routine. Besonderheit: sie wurde als 'default' (vorgewhlt)\r")
text2.AppendString("markiert und so gengt ein Druck auf Enter\r")
text2.AppendString("um sie zu aktivieren.\r")
text2.AppendString("\r")
text2.AppendString("Taste 'OK' zeigt zwei Sonderfunktionen:\r")
text2.AppendString("- das sie neben der Maus auch durch Druck  auf die 'ESC'-Taste aktiviert wird\r")
text2.AppendString("- statt des blichen Textes enthlt sie ein grafisches Objekt\r")
text2.AppendString("(bei Bettigung erklingt ein akustisches\r")
text2.AppendString("Signal)\r")
text2.AppendString("\r")
text2.AppendString("Die 'Normal'-Taste zeigt zum Vergleich\r")
text2.AppendString("noch eine ganz normale Taste.")
text2.visible=1
Dim button4 as button
button4 = MakeComponent("button",group1)
CompInit button4
proto="button4"
caption=""
left=205
top=239
cancel=1
visible=1
End CompInit
button4.name="button4"
button4.graphic=GetComplex(0)
Dim button5 as button
button5 = MakeComponent("button",group1)
CompInit button5
proto="button5"
caption="Normal"
left=24
top=242
sizeHControl=3
sizeVControl=3
visible=1
End CompInit
button5.name="button5"
group1.name="group1"
form1.name="form1"
form1.height=326
form1.width=320
Dim dialog1 as dialog
dialog1 = MakeComponent("dialog","app")
CompInit dialog1
proto="dialog1"
left=449
top=16
caption="Demo-Dialogbox"
End CompInit
Dim button2 as button
button2 = MakeComponent("button",dialog1)
CompInit button2
proto="button2"
caption="Dialogbox schliessen"
left=53
top=123
closeDialog=1
sizeHControl=3
sizeVControl=3
visible=1
End CompInit
button2.name="button2"
Dim text1 as text
text1 = MakeComponent("text",dialog1)
CompInit text1
proto="text1"
left=14
top=17
readOnly=1
width=212
height=91
End CompInit
text1.name="text1"
text1.AppendString("Dialogbox angezeigt ber\r")
text1.AppendString("'dialog1.visible=1'. Geschlossen\r")
text1.AppendString("wird die Dialogbox allerdings nicht\r")
text1.AppendString("ber 'dialog1.visible=0' sondern\r")
text1.AppendString("direkt ber die Taste, welcher die Eigenschaft 'closeDialog'\r")
text1.AppendString("zugewiesen wurde.")
text1.visible=1
dialog1.height=180
dialog1.width=250
dialog1.name="dialog1"
Dim sound1 as sound
sound1 = MakeComponent("sound","app")
CompInit sound1
proto="sound1"
End CompInit
sound1.name="sound1"
EnableEvents()
duplo_start()
end sub

sub duplo_start()
REM place initialization code here

end sub

sub module_goTo(context as string)

end sub

function module_getContext()

module_getContext = ""

end function

sub module_show()
REM code for making this module appear
form1.visible=1

end sub

sub module_hide()
REM code for making this module disappear
form1.visible=0

end sub

sub module_exit()

end sub

sub button1_pressed(self as button)

	dialog1.visible=1
	
	rem Dialogbox anzeigen
	
end sub

sub button4_pressed(self as button)

	sound1.StandardSound(5)
	
	rem Soundausgabe wenn Taste gedrueckt wird

end sub

sub button5_pressed(self as button)
	sound1.StandardSound(0)
end sub

