sub duplo_ui_ui_ui()
 REM		$Id$
 REM	Copyright (c) Geoworks 1995 -- All Rights Reserved
 REM	FILE:		STDINC.BH

 STRUCT TimeOfDay
  DIM hour as integer
  DIM minute as integer
  DIM second as integer
 END STRUCT

 STRUCT Date
  DIM year as integer
  DIM month as integer
  DIM day as integer
 END STRUCT

 STRUCT Notification
  DIM arg1 as integer
  DIM arg2 as integer
  DIM arg3 as integer
  DIM arg4 as integer
  DIM arg5 as string
  DIM arg6 as complex
 END STRUCT

REM useful color constants
CONST WHITE 		&Hffffffff
CONST BLACK 		&Hff000000
CONST GRAY_50 		&Hff808080, GREY_50 		&Hff808080
CONST DARK_GRAY 	&Hff555555, LIGHT_GRAY		&Hffaaaaaa
CONST DARK_GREY 	&Hff555555, LIGHT_GREY		&Hffaaaaaa
CONST DARK_GREEN	&Hff00aa00, LIGHT_GREEN 	&Hff55ff55
CONST DARK_BLUE 	&Hff0000aa, LIGHT_BLUE		&Hff5555ff
CONST DARK_CYAN		&Hff00aaaa, LIGHT_CYAN		&Hff55ffff
CONST DARK_PURPLE	&Hffaa00aa, LIGHT_PURPLE	&Hffff55ff
CONST DARK_ORANGE	&Hffaa5500, LIGHT_ORANGE	&Hffff5555
CONST YELLOW		&Hffffff55
CONST RED		&Hffaa0000

REM useful Boolean constants
CONST TRUE		1
CONST FALSE		0

REM sound constants
CONST SS_ERROR		0
CONST SS_WARNING	1
CONST SS_NOTIFY		2
CONST SS_NO_INPUT	3
CONST SS_KEY_CLICK	4
CONST SS_ALARM		5

CONST PEN_PRESS 1, PEN_HOLD 2, PEN_DRAG 3, PEN_TO 4, PEN_RELEASE 5
CONST PEN_LOST 6, PEN_FLY_OVER 7

CONST C_SYS_BACKSPACE		&Hff08
CONST C_SYS_TAB			&Hff09
CONST C_SYS_ENTER		&Hff0d
CONST C_SYS_ESCAPE		&Hff1b
CONST C_SYS_F1			&Hff80
CONST C_SYS_F2			&Hff81
CONST C_SYS_F3			&Hff82
CONST C_SYS_F4			&Hff83
CONST C_SYS_F5			&Hff84
CONST C_SYS_F6			&Hff85
CONST C_SYS_F7			&Hff86
CONST C_SYS_F8			&Hff87
CONST C_SYS_F9			&Hff88
CONST C_SYS_F10			&Hff89
CONST C_SYS_F11			&Hff8a
CONST C_SYS_F12			&Hff8b
CONST C_SYS_F13			&Hff8c
CONST C_SYS_F14			&Hff8d
CONST C_SYS_F15			&Hff8e
CONST C_SYS_F16			&Hff8f
CONST C_SYS_UP			&Hff90
CONST C_SYS_DOWN		&Hff91
CONST C_SYS_RIGHT		&Hff92
CONST C_SYS_LEFT		&Hff93
CONST C_SYS_HOME		&Hff94
CONST C_SYS_END			&Hff95
CONST C_SYS_PREVIOUS		&Hff96
CONST C_SYS_NEXT		&Hff97
CONST C_SYS_INSERT		&Hff98
CONST C_SYS_CLEAR		&Hff99	rem Not used in Geos.
CONST C_SYS_DELETE		&Hff9a
CONST C_SYS_PRINT_SCREEN	&Hff9b
CONST C_SYS_HELP		&Hff9d	rem Not used in Geos.
CONST C_SYS_BREAK		&Hff9e
CONST C_SYS_CAPS_LOCK		&Hffe8
CONST C_SYS_NUM_LOCK		&Hffe9
CONST C_SYS_SCROLL_LOCK		&Hffea
CONST C_SYS_LEFT_ALT		&Hffe0
CONST C_SYS_RIGHT_ALT		&Hffe1
CONST C_SYS_LEFT_CTRL		&Hffe2
CONST C_SYS_RIGHT_CTRL		&Hffe3
CONST C_SYS_LEFT_SHIFT		&Hffe4
CONST C_SYS_RIGHT_SHIFT		&Hffe5


CONST KEY_BS 		&Hff08
CONST KEY_DEL 		&Hff9a
CONST KEY_ENTER 	&Hff0d
CONST KEY_KP_RETURN 	&Hffff
CONST KEY_HOME		&Hff94
CONST KEY_TAB		&Hff09
CONST KEY_END		&Hff93
CONST KEY_ESC		&Hff1b
CONST KEY_UP_ARROW	&Hff90
CONST KEY_LEFT_ARROW	&Hff93
CONST KEY_RIGHT_ARROW	&Hff92
CONST KEY_DOWN_ARROW	&Hff91
REM dim system as module
REM system = SystemModule()

 REM end of stdinc.bh

DisableEvents()
Dim form1 as form
form1 = MakeComponent("form","app")
CompInit form1
proto="form1"
top=91
left=93
sizeHControl=0
sizeVControl=0
caption="GraphicDEMO"
End CompInit
Dim VSB as scrollbar
VSB = MakeComponent("scrollbar",form1)
CompInit VSB
proto="scrollbar1"
left=235
top=7
look=1
height=203
sizeHControl=3
visible=1
End CompInit
VSB.name="VSB"
Dim HSB as scrollbar
HSB = MakeComponent("scrollbar",form1)
CompInit HSB
proto="scrollbar2"
left=31
top=210
sizeHControl=0
sizeVControl=3
width=203
look=2
visible=1
End CompInit
HSB.name="HSB"
Dim gadget1 as gadget
gadget1 = MakeComponent("gadget",form1)
CompInit gadget1
proto="gadget1"
left=33
top=9
width=200
height=200
visible=1
End CompInit
gadget1.name="gadget1"
Dim choice1 as choice
choice1 = MakeComponent("choice",form1)
CompInit choice1
proto="choice1"
caption="1"
left=270
top=30
sizeHControl=3
sizeVControl=3
status=1
visible=1
End CompInit
choice1.name="choice1"
Dim choice2 as choice
choice2 = MakeComponent("choice",form1)
CompInit choice2
proto="choice2"
caption="2"
left=270
top=55
sizeHControl=3
sizeVControl=3
visible=1
End CompInit
choice2.name="choice2"
Dim choice3 as choice
choice3 = MakeComponent("choice",form1)
CompInit choice3
proto="choice3"
caption="3"
left=270
top=80
sizeHControl=3
sizeVControl=3
visible=1
End CompInit
choice3.name="choice3"
form1.name="form1"
form1.height=258
form1.width=317
EnableEvents()
duplo_start()
end sub

sub duplo_start()
REM place initialization code here

dim NormX as integer
dim OffsetX as integer
dim NormY as integer
dim OffsetY as integer
dim RelX as integer
dim RelY as integer
dim x as integer
dim y as integer
dim MaxX as integer
dim MaxY as integer
dim n as integer

dim figur as integer
figur = 1

dim xs as integer
dim xe as integer
dim ys as integer
dim ye as integer

MaxX = 400-1				rem Maximale Breite in x-Richtung - 1
MaxY = 400-1				rem Maximale Hoehe in y-Richtung -1

VSB.maximum = MaxY-200	rem Ermittling des sichtbaren Bereiches: Maximaler
HSB.maximum = MaxX-200	rem Wert minus dazugehoerigem Wert des Gadgets. Hier
							rem fest einestellt, kann aber auch variabel gestaltet
							rem werden (Abfrage der aktuellen Gadget-Breite/Hoehe).
end sub

sub module_goTo(context as string)

end sub

function module_getContext()

module_getContext = ""

end function

sub module_show()
REM code for making this module appear
form1.visible=1

end sub

sub module_hide()
REM code for making this module disappear
form1.visible=0

end sub

sub module_exit()

end sub

function RelX(NormX as integer)

rem Ermittlung der relativen Zeichen-Position fuer erneutes Zeichnen

	RelX = NormX - OffsetX

end function

function RelY(NormY as integer)

rem Ermittlung der relativen Zeichen-Position fuer erneutes Zeichnen

	RelY=NormY-OffsetY

end function

sub scrollbar2_changed(self as scrollbar, scrollType as integer)

rem bei Aenderung der waagerechten/horizontalen Scrollbar (HSB) werden
rem die Werte der beiden Scrollbars an die dazugehoerigen Offset-Variablen
rem uebergeben und die Routine "gadget1_draw" aufgerufen um die Aenderungen
rem darzustellen.
		
	OffsetX = HSB.value
	OffsetY = VSB.value
	gadget1_draw(gadget1)

end sub

sub gadget1_draw(self as gadget)

rem Routine zum zeichnen der verschiedenen Muster

gadget1.DrawRect(0,0,200,200,RED)

rem "uebermalen" der alten Grafik komplett mit rot

rem dann erfolgt ein Vergleich der Variablen "figur" um herauszufinden,
rem welche Figur gezceichnet werden soll.

rem Die Linien werden nicht einfach in das Gadget gezeichnet, sondern
rem relativ, entsprechend der Position der Scrollbars, da die Garfik
rem viermal so gross ist, wie der Ausschnitt, der dargestellt wird.
rem Die relative Position wird ueber die Routinen "RelX" bzw. "RelY"
rem ernmittelt. Die ersten beiden Muster-Funktionen wurden durch
rem ausprobieren gefunden, die letzte (3.) stammt aus envelope.bas.

if figur = 1 then
	for x = 0 to MaxX step 3
		gadget1.InvertLine(RelX(x), RelY(0),RelX(MaxX-x),RelY(MaxY))
	next x
	for y = 1 to MaxY step 2
		gadget1.InvertLine(RelX(0),RelY(y),RelX(MaxX),RelY(MaxY-y))
	next y
end if

if figur = 2
	for x = 1 to 1100 step 4
		xs = x/2
		ys = x/10*sin(x/20)+x/20+MaxY/5
		xe = 50*sin(MaxX/x/70) + MaxY/2
		ye = x/4*sin(x/120)+MaxX/5
		gadget1.DrawLine(RelX(xs),RelY(ys),RelX(xe),RelY(ye),YELLOW)
	next x
end if

if figur = 3 then
	for n=0 to 400 step 10
		gadget1.DrawLine(RelX(0), RelY(n), RelX(400 - n), RelY(0), LIGHT_BLUE)
		gadget1.DrawLine(RelX(400), RelY(n), RelX(n), RelY(0), LIGHT_BLUE)
		gadget1.DrawLine(RelX(0), RelY(n), RelX(n), RelY(400), LIGHT_BLUE)
		gadget1.DrawLine(RelX(400), RelY(n), RelX(400 - n), RelY(400), LIGHT_BLUE)
	next
end if

end sub

sub choice1_changed(self as choice)

rem Routine zur Bestimmung der zu zeichnenden Grafik. Zuerst wird die Grafik
rem festgelegt, dann die Werte der beiden Scrollbars an die Variablen
rem uebergeben und ein neuzeichnen veranlasst.

	figur = 1
	OffsetX = HSB.value
	OffsetY = VSB.value
	gadget1_draw(gadget1)

end sub

sub choice2_changed(self as choice)

rem Erklaerung siehe choice1_changed

	figur = 2
	OffsetX = HSB.value
	OffsetY = VSB.value
	gadget1_draw(gadget1)

end sub

sub scrollbar1_changed(self as scrollbar, scrollType as integer)

rem bei Aenderung der senkrechten/vertikalen Scrollbar (VSB) werden
rem die Werte der beiden Scrollbars an die dazugehoerigen Offset-Variablen
rem uebergeben und die Routine "gadget1_draw" aufgerufen um die Aenderungen
rem darzustellen.

	OffsetX = HSB.value
	OffsetY = VSB.value
	gadget1_draw(gadget1)

end sub

sub choice3_changed(self as choice)

rem Erklaerung siehe choice1_changed

	figur = 3
	OffsetX = HSB.value
	OffsetY = VSB.value
	gadget1_draw(gadget1)
	
end sub

